## SLPGetRefreshInterval

### Declaration

`#include <slp.h>`

`unsigned short SLPGetRefreshInterval()`

### Description

Returns the minimum refresh interval that will be accepted by all SLP agents on the network.

### Parameters

None

### Returns

A positive integer value that is the smallest value that should be passed as a `lifetime` to `SLPReg()`. If no agents advertise a minimum refresh interval, then zero is returned. ( Zero is not a valid value for the `lifetime` parameter to SLPReg() .)

### Status

OpenSLP 0.7.8 | Not Implemented. Always returns SLP_NOT_IMPLEMENTED

### Notes

RFC 2614 is really not clear as to how this function works. In fact the RFC declares the return to be of type `unsigned short` and specifies that (negative) SLPError codes are returned on error. Since a negative return could also be interpreted as (a very large) unsigned value, OpenSLP does not return SLPError codes cast to unsigned shorts it just returns zero.

### See Also

SLPReg()